import {request} from '@/utils/request.js'

// 我的邀请
// /invite/myInvite
export function myInvite(data) {
	return request({
		url: '/rewardserver/invite/myInvite',
		data
	})
}
// 获取二维码
// /promotion/qrcode
export function qrcode(data) {
	return request({
		url: '/zswl-cloud-bdb/promotion/qrcode',
		method:"post",
		data
	})
}

// 邀请记录
// /promotionShareLog/details
export function details(data) {
	return request({
		url: '/zswl-cloud-bdb/promotionShareLog/details',
		data
	})
}

// 邀请奖励明细
// /invite/rewardDetailList
export function rewardDetailList({year,month}) {
	return request({
		url: `/rewardserver/invite/rewardDetailList?year=${year}&month=${month}`
	})
}